Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-7114486

Removing jre 6ux makes IE to use the old 7u2 plug-in by default

    XMLWordPrintable

    Details

    • Subcomponent:
    • Resolved In Build:
      b22
    • CPU:
      generic
    • OS:
      windows
    • Verification:
      Verified

      Backports

        Description

        System has both;
        - latest jre 6u29 installed
        - jre 7u2 installed

        If uninstall jre 6u29, the IE will use the old java plug-in (of 7u2) by default

        *** Test configurations:
        - x86 XP, win7
        - IE 8

        *** Steps to reproduce:
        0) Make sure no jre or javafx runtime on the system
        1) Install jre 6u29
        2) Install jre 7u2 (latest b13)
        3) Use IE to invoke any java applet to ensure the 7u2 new java plug-in being used
        4) Uninstall jre 6u29
        5) Use IE to invoke any java applet.

        If you see the old/deprecated 7u2 java plug-in is used, then the issue is reproducible

        *** Warning from the java console
        Warning: using first-generation plugin.
        This plugin is deprecated and will be removed in the next major
        release of Java. Please report any technical difficulties
        with the next-generation plugin at http://bugs.sun.comJava Plug-in 1.7.0_02
        Using JRE version 1.7.0_02-b13 Java HotSpot(TM) Client VM
        User home directory = C:\Users\uadmin
        ----------------------------------------------------

          Attachments

            Issue Links

              Activity

                People

                Assignee:
                ccheung Calvin Cheung
                Reporter:
                hungnguy Hung Nguyen (Inactive)
                Votes:
                0 Vote for this issue
                Watchers:
                6 Start watching this issue

                  Dates

                  Created:
                  Updated:
                  Resolved:
                  Imported:
                  Indexed: